#ifndef SHAPES_H
#define SHAPES_H
#include "glnode.h"
#include <QVector4D>
#include <QColor>
#include "../interfaces/visitor.h"
class Shape : public GlNode
{
public:
	virtual void setColor(QColor& c) = 0;
	virtual QColor getColor() = 0;
	virtual void setType(int) = 0;
	virtual int getType() = 0;
};

class Cube : public Shape
{
private:
	int type = 0;
public:
    Cube(){}
    QColor color;
	void accept(Visitor& v) override;
	void setColor(QColor& c);
    QColor getColor();
	void setType(int);
	int getType();
};

class Sphere : public Shape
{
private:
	int type = 0;
public:
    Sphere(){}
    QColor color;
    void accept(Visitor& v) override;
    void setColor(QColor& c);
	QColor getColor();
	void setType(int);
	int getType();
};
#endif // SHAPES_H
